## SISU

### Overview

SISU (Super Ingenious Sound Upscaler) is a project that uses GANs (Generative Adversarial Networks) to make low-quality audio better. The goal is to take not-so-good-sounding audio and turn it into high-quality, clear audio.

### Structure of the Project

- **dataset**: This folder has some sample audio files for testing.
- **models**:
  - `generator.py`: This file has the code for the part that improves the audio.
  - `discriminator.py`: This file has the code for the part that checks if the audio is good or not.
- **training**:
  - `training.py`: This script is used to teach the computer how to improve the audio.

### Using the Project

1. **Set Up**:
   - Make sure you have Python installed (version 3.8 or higher).
   - Install needed packages: `pip install -r requirements.txt`

2. **Prepare Audio Data**:
   - Put your audio files in the `dataset/good` folder.

3. **Train the Model**:
   - Run the training script: `python training.py`

4. **Generate Better Audio**:
   - After training, you can use the generator to make your audio sound better.

### License

This project is open-source and licensed under the GPLv3 License. For details, see the LICENSE file.
